com.independentsoft.exchange

## Class ContactPropertyPath

- java.lang.Object
- - com.independentsoft.exchange.ItemPropertyPath
  - - com.independentsoft.exchange.ContactPropertyPath

-     public class ContactPropertyPath
      extends ItemPropertyPath

  The Class ContactPropertyPath.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static UnindexedPropertyPath` | `ALIAS`
    `static UnindexedPropertyPath` | `ASSISTANT_NAME`
    `static IndexedPropertyPath` | `ASSISTANT_PHONE`
    `static UnindexedPropertyPath` | `BIRTHDAY`
    `static PropertyId` | `BUSINESS_ADDRESS`
    `static IndexedPropertyPath` | `BUSINESS_ADDRESS_CITY`
    `static IndexedPropertyPath` | `BUSINESS_ADDRESS_COUNTRY`
    `static IndexedPropertyPath` | `BUSINESS_ADDRESS_POSTAL_CODE`
    `static IndexedPropertyPath` | `BUSINESS_ADDRESS_STATE`
    `static IndexedPropertyPath` | `BUSINESS_ADDRESS_STREET`
    `static IndexedPropertyPath` | `BUSINESS_FAX`
    `static UnindexedPropertyPath` | `BUSINESS_HOME_PAGE`
    `static IndexedPropertyPath` | `BUSINESS_PHONE`
    `static IndexedPropertyPath` | `BUSINESS_PHONE2`
    `static IndexedPropertyPath` | `CALLBACK_PHONE`
    `static IndexedPropertyPath` | `CAR_PHONE`
    `static UnindexedPropertyPath` | `CHILDREN`
    `static UnindexedPropertyPath` | `COMPANIES`
    `static UnindexedPropertyPath` | `COMPANY_NAME`
    `static IndexedPropertyPath` | `COMPANY_PHONE`
    `static UnindexedPropertyPath` | `COMPLETE_NAME`
    `static UnindexedPropertyPath` | `DEPARTMENT`
    `static UnindexedPropertyPath` | `DIRECT_REPORTS`
    `static UnindexedPropertyPath` | `DIRECTORY_ID`
    `static PropertyId` | `EMAIL1_ADDRESS`
    `static PropertyId` | `EMAIL1_DISPLAY_AS`
    `static PropertyId` | `EMAIL1_DISPLAY_NAME`
    `static PropertyId` | `EMAIL1_TYPE`
    `static PropertyId` | `EMAIL2_ADDRESS`
    `static PropertyId` | `EMAIL2_DISPLAY_AS`
    `static PropertyId` | `EMAIL2_DISPLAY_NAME`
    `static PropertyId` | `EMAIL2_TYPE`
    `static PropertyId` | `EMAIL3_ADDRESS`
    `static PropertyId` | `EMAIL3_DISPLAY_AS`
    `static PropertyId` | `EMAIL3_DISPLAY_NAME`
    `static PropertyId` | `EMAIL3_TYPE`
    `static UnindexedPropertyPath` | `FILE_AS`
    `static UnindexedPropertyPath` | `FILE_AS_MAPPING`
    `static PropertyTag` | `GENDER`
    `static UnindexedPropertyPath` | `GENERATION`
    `static UnindexedPropertyPath` | `GIVEN_NAME`
    `static PropertyId` | `HAS_PICTURE`
    `static PropertyId` | `HOME_ADDRESS`
    `static IndexedPropertyPath` | `HOME_ADDRESS_CITY`
    `static IndexedPropertyPath` | `HOME_ADDRESS_COUNTRY`
    `static IndexedPropertyPath` | `HOME_ADDRESS_POSTAL_CODE`
    `static IndexedPropertyPath` | `HOME_ADDRESS_STATE`
    `static IndexedPropertyPath` | `HOME_ADDRESS_STREET`
    `static IndexedPropertyPath` | `HOME_FAX`
    `static IndexedPropertyPath` | `HOME_PHONE`
    `static IndexedPropertyPath` | `HOME_PHONE2`
    `static UnindexedPropertyPath` | `INITIALS`
    `static IndexedPropertyPath` | `INSTANT_MESSENGER_ADDRESS1`
    `static IndexedPropertyPath` | `INSTANT_MESSENGER_ADDRESS2`
    `static IndexedPropertyPath` | `INSTANT_MESSENGER_ADDRESS3`
    `static IndexedPropertyPath` | `ISDN`
    `static UnindexedPropertyPath` | `JOB_TITLE`
    `static UnindexedPropertyPath` | `MANAGER`
    `static UnindexedPropertyPath` | `MANAGER_MAILBOX`
    `static UnindexedPropertyPath` | `MIDDLE_NAME`
    `static UnindexedPropertyPath` | `MILEAGE`
    `static IndexedPropertyPath` | `MOBILE_PHONE`
    `static UnindexedPropertyPath` | `MS_EXCHANGE_CERTIFICATE`
    `static UnindexedPropertyPath` | `NICKNAME`
    `static UnindexedPropertyPath` | `NOTES`
    `static UnindexedPropertyPath` | `OFFICE_LOCATION`
    `static PropertyId` | `OTHER_ADDRESS`
    `static IndexedPropertyPath` | `OTHER_ADDRESS_CITY`
    `static IndexedPropertyPath` | `OTHER_ADDRESS_COUNTRY`
    `static IndexedPropertyPath` | `OTHER_ADDRESS_POSTAL_CODE`
    `static IndexedPropertyPath` | `OTHER_ADDRESS_STATE`
    `static IndexedPropertyPath` | `OTHER_ADDRESS_STREET`
    `static IndexedPropertyPath` | `OTHER_FAX`
    `static IndexedPropertyPath` | `OTHER_PHONE`
    `static IndexedPropertyPath` | `PAGER`
    `static UnindexedPropertyPath` | `PHONETIC_FIRST_NAME`
    `static UnindexedPropertyPath` | `PHONETIC_FULL_NAME`
    `static UnindexedPropertyPath` | `PHONETIC_LAST_NAME`
    `static UnindexedPropertyPath` | `PHOTO`
    `static IndexedPropertyPath` | `PRIMARY_PHONE`
    `static UnindexedPropertyPath` | `PROFESSION`
    `static IndexedPropertyPath` | `RADIO_PHONE`
    `static UnindexedPropertyPath` | `SELECTED_MAILING_ADDRESS`
    `static UnindexedPropertyPath` | `SPOUSE_NAME`
    `static UnindexedPropertyPath` | `SURNAME`
    `static IndexedPropertyPath` | `TELEX`
    `static PropertyTag` | `TITLE`
    `static IndexedPropertyPath` | `TTY_TDD_PHONE`
    `static UnindexedPropertyPath` | `USER_SMIME_CERTIFICATE`
    `static UnindexedPropertyPath` | `WEDDING_ANNIVERSARY`

    - ### Fields inherited from class com.independentsoft.exchange.ItemPropertyPath

      `ARCHIVE_TAG, ATTACHMENTS, BLOCK_STATUS, BODY, BODY_HTML_TEXT, BODY_PLAIN_TEXT, CATEGORIES, COMMENT, CONVERSATION_ID, CREATED_TIME, CULTURE, DISPLAY_NAME, EFFECTIVE_RIGHTS, ENTITY_EXTRACTION_RESULT, ENTRY_ID, FLAG, GROUPING_ACTION, HAS_ATTACHMENTS, HAS_BLOCKED_IMAGES, ICON_INDEX, IMPORTANCE, INSTANCE_KEY, IS_ASSOCIATED, IS_HIDDEN, ITEM_CLASS, ITEM_ID, LAST_MODIFIED_TIME, LAST_MODIFIER_NAME, MIME_CONTENT, NEXT_PREDICTED_ACTION, PARENT_ID, PREVIEW, REMINDER_DUE_BY, REMINDER_IS_SET, REMINDER_MINUTES_BEFORE_START, RETENTION_DATE, RETENTION_TAG, SEARCH_KEY, SENSITIVITY, SIZE, STORE_ENTRY_ID, SUBJECT, TEXT_BODY, UNIQUE_BODY, WEB_CLIENT_EDIT_FORM_QUERY_STRING, WEB_CLIENT_READ_FORM_QUERY_STRING`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.List<PropertyPath>` | `getAllPropertyPaths()` Gets the all property paths.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FILE_AS

          public static final UnindexedPropertyPath FILE_AS

    - #### FILE_AS_MAPPING

          public static final UnindexedPropertyPath FILE_AS_MAPPING

    - #### GIVEN_NAME

          public static final UnindexedPropertyPath GIVEN_NAME

    - #### INITIALS

          public static final UnindexedPropertyPath INITIALS

    - #### MIDDLE_NAME

          public static final UnindexedPropertyPath MIDDLE_NAME

    - #### NICKNAME

          public static final UnindexedPropertyPath NICKNAME

    - #### COMPLETE_NAME

          public static final UnindexedPropertyPath COMPLETE_NAME

    - #### COMPANY_NAME

          public static final UnindexedPropertyPath COMPANY_NAME

    - #### HOME_ADDRESS

          public static final PropertyId HOME_ADDRESS

    - #### BUSINESS_ADDRESS

          public static final PropertyId BUSINESS_ADDRESS

    - #### OTHER_ADDRESS

          public static final PropertyId OTHER_ADDRESS

    - #### HOME_ADDRESS_STREET

          public static final IndexedPropertyPath HOME_ADDRESS_STREET

    - #### HOME_ADDRESS_CITY

          public static final IndexedPropertyPath HOME_ADDRESS_CITY

    - #### HOME_ADDRESS_STATE

          public static final IndexedPropertyPath HOME_ADDRESS_STATE

    - #### HOME_ADDRESS_COUNTRY

          public static final IndexedPropertyPath HOME_ADDRESS_COUNTRY

    - #### HOME_ADDRESS_POSTAL_CODE

          public static final IndexedPropertyPath HOME_ADDRESS_POSTAL_CODE

    - #### BUSINESS_ADDRESS_STREET

          public static final IndexedPropertyPath BUSINESS_ADDRESS_STREET

    - #### BUSINESS_ADDRESS_CITY

          public static final IndexedPropertyPath BUSINESS_ADDRESS_CITY

    - #### BUSINESS_ADDRESS_STATE

          public static final IndexedPropertyPath BUSINESS_ADDRESS_STATE

    - #### BUSINESS_ADDRESS_COUNTRY

          public static final IndexedPropertyPath BUSINESS_ADDRESS_COUNTRY

    - #### BUSINESS_ADDRESS_POSTAL_CODE

          public static final IndexedPropertyPath BUSINESS_ADDRESS_POSTAL_CODE

    - #### OTHER_ADDRESS_STREET

          public static final IndexedPropertyPath OTHER_ADDRESS_STREET

    - #### OTHER_ADDRESS_CITY

          public static final IndexedPropertyPath OTHER_ADDRESS_CITY

    - #### OTHER_ADDRESS_STATE

          public static final IndexedPropertyPath OTHER_ADDRESS_STATE

    - #### OTHER_ADDRESS_COUNTRY

          public static final IndexedPropertyPath OTHER_ADDRESS_COUNTRY

    - #### OTHER_ADDRESS_POSTAL_CODE

          public static final IndexedPropertyPath OTHER_ADDRESS_POSTAL_CODE

    - #### ASSISTANT_PHONE

          public static final IndexedPropertyPath ASSISTANT_PHONE

    - #### BUSINESS_FAX

          public static final IndexedPropertyPath BUSINESS_FAX

    - #### BUSINESS_PHONE

          public static final IndexedPropertyPath BUSINESS_PHONE

    - #### BUSINESS_PHONE2

          public static final IndexedPropertyPath BUSINESS_PHONE2

    - #### CALLBACK_PHONE

          public static final IndexedPropertyPath CALLBACK_PHONE

    - #### CAR_PHONE

          public static final IndexedPropertyPath CAR_PHONE

    - #### COMPANY_PHONE

          public static final IndexedPropertyPath COMPANY_PHONE

    - #### HOME_FAX

          public static final IndexedPropertyPath HOME_FAX

    - #### HOME_PHONE

          public static final IndexedPropertyPath HOME_PHONE

    - #### HOME_PHONE2

          public static final IndexedPropertyPath HOME_PHONE2

    - #### ISDN

          public static final IndexedPropertyPath ISDN

    - #### MOBILE_PHONE

          public static final IndexedPropertyPath MOBILE_PHONE

    - #### OTHER_FAX

          public static final IndexedPropertyPath OTHER_FAX

    - #### OTHER_PHONE

          public static final IndexedPropertyPath OTHER_PHONE

    - #### PAGER

          public static final IndexedPropertyPath PAGER

    - #### PRIMARY_PHONE

          public static final IndexedPropertyPath PRIMARY_PHONE

    - #### RADIO_PHONE

          public static final IndexedPropertyPath RADIO_PHONE

    - #### TELEX

          public static final IndexedPropertyPath TELEX

    - #### TTY_TDD_PHONE

          public static final IndexedPropertyPath TTY_TDD_PHONE

    - #### ASSISTANT_NAME

          public static final UnindexedPropertyPath ASSISTANT_NAME

    - #### BIRTHDAY

          public static final UnindexedPropertyPath BIRTHDAY

    - #### BUSINESS_HOME_PAGE

          public static final UnindexedPropertyPath BUSINESS_HOME_PAGE

    - #### CHILDREN

          public static final UnindexedPropertyPath CHILDREN

    - #### COMPANIES

          public static final UnindexedPropertyPath COMPANIES

    - #### DEPARTMENT

          public static final UnindexedPropertyPath DEPARTMENT

    - #### GENERATION

          public static final UnindexedPropertyPath GENERATION

    - #### INSTANT_MESSENGER_ADDRESS1

          public static final IndexedPropertyPath INSTANT_MESSENGER_ADDRESS1

    - #### INSTANT_MESSENGER_ADDRESS2

          public static final IndexedPropertyPath INSTANT_MESSENGER_ADDRESS2

    - #### INSTANT_MESSENGER_ADDRESS3

          public static final IndexedPropertyPath INSTANT_MESSENGER_ADDRESS3

    - #### JOB_TITLE

          public static final UnindexedPropertyPath JOB_TITLE

    - #### MANAGER

          public static final UnindexedPropertyPath MANAGER

    - #### MILEAGE

          public static final UnindexedPropertyPath MILEAGE

    - #### OFFICE_LOCATION

          public static final UnindexedPropertyPath OFFICE_LOCATION

    - #### SELECTED_MAILING_ADDRESS

          public static final UnindexedPropertyPath SELECTED_MAILING_ADDRESS

    - #### PROFESSION

          public static final UnindexedPropertyPath PROFESSION

    - #### SPOUSE_NAME

          public static final UnindexedPropertyPath SPOUSE_NAME

    - #### SURNAME

          public static final UnindexedPropertyPath SURNAME

    - #### WEDDING_ANNIVERSARY

          public static final UnindexedPropertyPath WEDDING_ANNIVERSARY

    - #### ALIAS

          public static final UnindexedPropertyPath ALIAS

    - #### DIRECTORY_ID

          public static final UnindexedPropertyPath DIRECTORY_ID

    - #### DIRECT_REPORTS

          public static final UnindexedPropertyPath DIRECT_REPORTS

    - #### MANAGER_MAILBOX

          public static final UnindexedPropertyPath MANAGER_MAILBOX

    - #### MS_EXCHANGE_CERTIFICATE

          public static final UnindexedPropertyPath MS_EXCHANGE_CERTIFICATE

    - #### NOTES

          public static final UnindexedPropertyPath NOTES

    - #### PHONETIC_FULL_NAME

          public static final UnindexedPropertyPath PHONETIC_FULL_NAME

    - #### PHONETIC_FIRST_NAME

          public static final UnindexedPropertyPath PHONETIC_FIRST_NAME

    - #### PHONETIC_LAST_NAME

          public static final UnindexedPropertyPath PHONETIC_LAST_NAME

    - #### PHOTO

          public static final UnindexedPropertyPath PHOTO

    - #### USER_SMIME_CERTIFICATE

          public static final UnindexedPropertyPath USER_SMIME_CERTIFICATE

    - #### EMAIL1_ADDRESS

          public static final PropertyId EMAIL1_ADDRESS

    - #### EMAIL2_ADDRESS

          public static final PropertyId EMAIL2_ADDRESS

    - #### EMAIL3_ADDRESS

          public static final PropertyId EMAIL3_ADDRESS

    - #### EMAIL1_DISPLAY_NAME

          public static final PropertyId EMAIL1_DISPLAY_NAME

    - #### EMAIL2_DISPLAY_NAME

          public static final PropertyId EMAIL2_DISPLAY_NAME

    - #### EMAIL3_DISPLAY_NAME

          public static final PropertyId EMAIL3_DISPLAY_NAME

    - #### EMAIL1_DISPLAY_AS

          public static final PropertyId EMAIL1_DISPLAY_AS

    - #### EMAIL2_DISPLAY_AS

          public static final PropertyId EMAIL2_DISPLAY_AS

    - #### EMAIL3_DISPLAY_AS

          public static final PropertyId EMAIL3_DISPLAY_AS

    - #### EMAIL1_TYPE

          public static final PropertyId EMAIL1_TYPE

    - #### EMAIL2_TYPE

          public static final PropertyId EMAIL2_TYPE

    - #### EMAIL3_TYPE

          public static final PropertyId EMAIL3_TYPE

    - #### HAS_PICTURE

          public static final PropertyId HAS_PICTURE

    - #### GENDER

          public static final PropertyTag GENDER

    - #### TITLE

          public static final PropertyTag TITLE

  - ### Method Detail

    - #### getAllPropertyPaths

          public static java.util.List<PropertyPath> getAllPropertyPaths()

      Gets the all property paths.
      Returns:
        the all property paths